org.apache.cassandra.tools.nodetool

## Class SetHostStat

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.SetHostStat

All Implemented Interfaces:
  java.lang.Iterable<HostStat>

    public class SetHostStat
    extends java.lang.Object
    implements java.lang.Iterable<HostStat>

### Constructor Summary

Constructors
Constructor and Description
`SetHostStat(boolean resolveIp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.lang.String token, java.lang.String host, java.util.Map<java.net.InetAddress,java.lang.Float> ownerships)`
`java.util.Iterator<HostStat>` `iterator()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SetHostStat

    public SetHostStat(boolean resolveIp)

### Method Detail

#### size

    public int size()

#### iterator

    public java.util.Iterator<HostStat> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<HostStat>`

#### add

    public void add(java.lang.String token,
                    java.lang.String host,
                    java.util.Map<java.net.InetAddress,java.lang.Float> ownerships)
             throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`